|
|
@ -1,6 +1,6 @@ |
|
|
|
import cadquery as cq |
|
|
|
|
|
|
|
from utils import extrude_shape, punch_hole, punch_hole2 |
|
|
|
from utils import extrude_shape, punch_hole2, hex_vents |
|
|
|
|
|
|
|
stand_positions = [(3.5, 3.5), (61.5, 3.5), (61.5, 52.5), (3.5, 52.5)] |
|
|
|
stands = ( |
|
|
@ -71,24 +71,7 @@ elements = [ |
|
|
|
] |
|
|
|
|
|
|
|
|
|
|
|
hex_size = 6 |
|
|
|
vent_positions = [] |
|
|
|
for x in range(1, width // hex_size): |
|
|
|
for y in range(1, int(height // hex_size / 0.8)): |
|
|
|
vent_positions.append( |
|
|
|
( |
|
|
|
(x + (y % 2) / 2) * hex_size - hex_size * 0.2, |
|
|
|
y * hex_size * 0.8 + hex_size * 0.2, |
|
|
|
) |
|
|
|
) |
|
|
|
|
|
|
|
vents = [ |
|
|
|
{ |
|
|
|
"x": 0, |
|
|
|
"y": 0, |
|
|
|
"shape": cq.Sketch().push(vent_positions).regularPolygon((hex_size) / 2, 6), |
|
|
|
} |
|
|
|
] |
|
|
|
vents = hex_vents(size=6, width=width, height=height) |
|
|
|
|
|
|
|
|
|
|
|
# Hole distances are relative to the rightmost pillar |
|
|
|